PHP Manual
Prev |  | Next

# is_numeric

(PHP 4, PHP 5)

is_numeric -- Finds whether a variable is a number or a numeric string

## Description

bool is_numeric ( mixed var )

Finds whether the given variable is numeric. Numeric strings consist of optional sign, any number of digits, optional decimal part and optional exponential part. Thus +0123.45e6 is a valid numeric value. Hexadecimal notation (0xFF) is allowed too but only without sign, decimal and exponential part.

## Parameters

var

  The variable being evaluated.

## Return Values

Returns `TRUE` if var is a number or a numeric string, `FALSE` otherwise.

## See Also

ctype_digit()
is_bool()
is_null()
is_float()
is_int()
is_string()
is_object()
is_array()

Prev | Home | Next
is_null | Up | is_object